package com.pcloud.book.book.biz;

import com.pcloud.book.book.dto.BookCoverDTO;
import com.pcloud.common.page.PageBeanNew;

/**
 * 图书封面业务接口
 */

public interface BookCoverBiz {
    /**
     *查询封面
     */
    PageBeanNew<BookCoverDTO> getCoverByTempletId(Long templetId, Integer currentPage, Integer perpageNumber);

    /**
     * 新增封面
     */
    BookCoverDTO addCover(Long templetId, String url);

    /**
     * 删除封面
     */
    void deleteCoverById(String coverId);

    /**
     * 修改封面
     */
    void updateCover(Long templetId, String coverImg, String coverId);

//    /**
//     * 查询一个封面
//     */
//    BookCoverDTO selectByTempletIdAndCoverImg(Long templetId,String coverImg);
}
